Bug 772835 (CVE-2012-0034) - CVE-2012-0034 JBoss Cache: NonManagedConnectionFactory will log password in clear text when an exception occurs
Summary: CVE-2012-0034 JBoss Cache: NonManagedConnectionFactory will log password in c...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0034
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 883208 883209 883210
Blocks: 772842 789173 835396 849517 883225
TreeView+ depends on / blocked
 
Reported: 2012-01-10 05:06 UTC by David Jorm
Modified: 2019-09-29 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-03 00:28:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0108 normal SHIPPED_LIVE Low: jbosscache security update 2012-02-10 05:12:14 UTC
Red Hat Product Errata RHSA-2012:1072 normal SHIPPED_LIVE Low: jbosscache security update 2012-07-12 21:18:35 UTC
Red Hat Product Errata RHSA-2013:0191 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 5.2.0 update 2013-01-24 23:30:08 UTC
Red Hat Product Errata RHSA-2013:0192 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 5.2.0 update 2013-01-24 23:28:23 UTC
Red Hat Product Errata RHSA-2013:0193 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 5.2.0 update 2013-01-24 23:42:29 UTC
Red Hat Product Errata RHSA-2013:0195 normal SHIPPED_LIVE Important: JBoss Enterprise Web Platform 5.2.0 update 2013-01-24 23:41:24 UTC
Red Hat Product Errata RHSA-2013:0196 normal SHIPPED_LIVE Important: JBoss Enterprise Web Platform 5.2.0 update 2013-01-24 23:55:46 UTC
Red Hat Product Errata RHSA-2013:0197 normal SHIPPED_LIVE Important: JBoss Enterprise Web Platform 5.2.0 update 2013-01-24 23:54:22 UTC
Red Hat Product Errata RHSA-2013:0221 normal SHIPPED_LIVE Important: JBoss Enterprise BRMS Platform 5.3.1 update 2013-02-01 01:23:18 UTC
Red Hat Product Errata RHSA-2013:0533 normal SHIPPED_LIVE Important: JBoss Enterprise SOA Platform 5.3.1 update 2013-02-21 02:42:25 UTC

Description David Jorm 2012-01-10 05:06:53 UTC
It was found that the NonManagedConnectionFactory would log the username and password in cleartext when an exception was thrown. A local attacker could exploit this flaw by reading the password from the log file, if they had appropriate permissions to read the log file.

Comment 1 errata-xmlrpc 2012-02-10 00:13:23 UTC
This issue has been addressed in following products:

JBoss Enterprise Application Platform 5.1.2

Via RHSA-2012:0108 https://rhn.redhat.com/errata/RHSA-2012-0108.html

Comment 2 errata-xmlrpc 2012-07-12 17:19:57 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Platform 5.1.2

Via RHSA-2012:1072 https://rhn.redhat.com/errata/RHSA-2012-1072.html

Comment 5 errata-xmlrpc 2013-01-24 18:32:21 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 5

Via RHSA-2013:0192 https://rhn.redhat.com/errata/RHSA-2013-0192.html

Comment 6 errata-xmlrpc 2013-01-24 18:33:07 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 6

Via RHSA-2013:0191 https://rhn.redhat.com/errata/RHSA-2013-0191.html

Comment 7 errata-xmlrpc 2013-01-24 18:45:24 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 6

Via RHSA-2013:0195 https://rhn.redhat.com/errata/RHSA-2013-0195.html

Comment 8 errata-xmlrpc 2013-01-24 18:46:10 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 4

Via RHSA-2013:0193 https://rhn.redhat.com/errata/RHSA-2013-0193.html

Comment 9 errata-xmlrpc 2013-01-24 18:58:24 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 4

Via RHSA-2013:0197 https://rhn.redhat.com/errata/RHSA-2013-0197.html

Comment 10 errata-xmlrpc 2013-01-24 18:59:18 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 5

Via RHSA-2013:0196 https://rhn.redhat.com/errata/RHSA-2013-0196.html

Comment 11 errata-xmlrpc 2013-01-31 20:31:22 UTC
This issue has been addressed in following products:

  JBoss Enterprise BRMS Platform 5.3.1

Via RHSA-2013:0221 https://rhn.redhat.com/errata/RHSA-2013-0221.html

Comment 12 errata-xmlrpc 2013-02-20 21:44:04 UTC
This issue has been addressed in following products:

  JBoss Enterprise SOA Platform 5.3.1

Via RHSA-2013:0533 https://rhn.redhat.com/errata/RHSA-2013-0533.html


Note You need to log in before you can comment on or make changes to this bug.